pmdk (1.13.1-1.1ubuntu4) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Mon, 02 Feb 2026 21:35:50 +0100

pmdk (1.13.1-1.1ubuntu3) questing; urgency=medium

  * d/rules: disable the GCS warning on arm64 (LP: #2119445)

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 24 Sep 2025 17:06:49 -0300

pmdk (1.13.1-1.1ubuntu2) noble; urgency=medium

  * Fix FTBFS issues in ppc64el:
    - d/rules: skip ppc64el build time tests
    - d/p/debian-changes: remove bogus file

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Thu, 18 Apr 2024 09:44:59 -0300

pmdk (1.13.1-1.1ubuntu1) noble; urgency=medium

  * d/rules: Disable TEST5 on ppc64el to fix FTBFS
    (LP: #2061913)

 -- Bryce Harrington <bryce@canonical.com>  Tue, 16 Apr 2024 16:17:03 -0700

pmdk (1.13.1-1.1build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:15:44 +0200

pmdk (1.13.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Ignore check-manpages failure until Pandoc creates manpages
    that are accepted by the latest groff. (Closes: #1042252)

 -- Adrian Bunk <bunk@debian.org>  Fri, 11 Aug 2023 13:28:04 +0300

pmdk (1.13.1-1) unstable; urgency=medium

  * New upstream release.
  * Replace the old team's gpg keys by Oksana's.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 05 Jun 2023 11:32:46 +0200

pmdk (1.13.1~rc2-1) experimental; urgency=medium

  * New upstream RC.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 29 May 2023 10:31:42 +0200

pmdk (1.13.0-1) experimental; urgency=medium

  * New upstream release.
  * A watch file that uses the Github API -- with working .asc.

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 28 Apr 2023 15:42:14 +0200

pmdk (1.13.0~rc1-1) experimental; urgency=medium

  * New upstream RC.
  * Add luke's gpg key.
  * Enable loong64 -- completely untested.
  * Let the watch file find -rc tags.
  * Temporarily disable checking upstream gpg.
  * Drop autopkgtests for deprecated libpmem{blk,log}.

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 22 Apr 2023 21:12:44 +0200

pmdk (1.12.1-2) unstable; urgency=medium

  * Fix the watch file wrt GitHub changes.
  * Drop librpmemd -- removed upstream for 1.13

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 09 Jan 2023 10:32:36 +0100

pmdk (1.12.1-1) unstable; urgency=medium

  * New upstream bugfix release.
  * dh 13.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 29 Aug 2022 14:09:14 +0200

pmdk (1.12.0-2) unstable; urgency=medium

  [ Sergio Durigan Junior ]
  * d/rules: Temporarily disable obj_ctl_arenas/TEST3
    and pmem2_future/TESTS.py. (Closes: #1012519)

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 25 Jun 2022 14:04:51 +0200

pmdk (1.12.0-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 24 May 2022 21:57:42 +0200

pmdk (1.12.0~rc1-1) experimental; urgency=medium

  * New upstream RC.
  * Add Weronika's gpg key.
  * B-Depend on cmake, ndctl.
  * New symbols.

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 19 May 2022 14:27:15 +0200

pmdk (1.11.1-4) unstable; urgency=medium

  * B-Depend on valgrind-if-available.
  * Fix build failure with ndctl 73.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 16 May 2022 16:18:41 +0200

pmdk (1.11.1-3) unstable; urgency=medium

  * Add lintian overrides for quirks of -debug packages.
  * Rework the way man pages are patched.
  * Cherry-pick riscv64 support.

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 21 Oct 2021 18:27:53 +0200

pmdk (1.11.1-2) unstable; urgency=medium

  * Add helgrind suppressions for glibc-2.32/ppc64el.

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 28 Sep 2021 12:57:41 +0200

pmdk (1.11.1-1) unstable; urgency=high

  * New upstream bugfix release, fixes a possible data loss on crash bug.
  * Add lplewa's upstream gpg key.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 27 Sep 2021 17:12:08 +0200

pmdk (1.11.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 10 Aug 2021 14:27:49 +0200

pmdk (1.11.0-1) experimental; urgency=medium

  * New upstream release.
    + Fixes insufficient flushing on ARMv8.2+ (closes: #990573).

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 02 Jul 2021 15:23:11 +0200

pmdk (1.11.0~rc2-1) experimental; urgency=medium

  * New upstream RC.
    + Fixes FTBFS issues with gcc-11 (closes: #984295).

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 25 Jun 2021 14:49:07 +0200

pmdk (1.11.0~rc1-1) experimental; urgency=medium

  * New upstream RC.
  * New symbols.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 07 Jun 2021 19:32:39 +0200

pmdk (1.10-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 08 Nov 2020 21:18:06 +0100

pmdk (1.10~rc1-1) experimental; urgency=medium

  * New upstream RC.
  * Add libpmem2{,-dev}.

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 18 Oct 2020 23:05:48 +0200

pmdk (1.9.2-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 29 Oct 2020 00:02:54 +0100

pmdk (1.9.1-3) unstable; urgency=medium

  * Fix rpmemd not being installed on !amd64.

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 13 Oct 2020 09:36:35 +0200

pmdk (1.9.1-2) unstable; urgency=medium

  * Enable rpmem on ppc64 and arm64.  Thanks Tuliom!

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 12 Oct 2020 22:38:28 +0200

pmdk (1.9.1-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 19 Sep 2020 04:12:26 +0200

pmdk (1.9-2) unstable; urgency=medium

  * Add valgrind overrides fit for glibc 2.35; closes: #967057.
  * Lintian overrides for no hardening on -debug packages (Andreas
    Hasenack).

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 05 Aug 2020 00:35:28 +0200

pmdk (1.9-1) unstable; urgency=medium

  * Upstream release.
  * Work around __pycache__ droppings.
  * Disable scope tests until binutils #964457 is fixed; closes #964623.

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 21 Jul 2020 09:52:05 +0200

pmdk (1.9~rc2-1) experimental; urgency=medium

  * New upstream RC.
  * Replace upstream gpg key.
  * Don't try to install rpmemd manpages on !amd64.

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 02 Jul 2020 16:15:52 +0200

pmdk (1.9~rc1-1) experimental; urgency=medium

  * New upstream RC.
  * Temporarily delete upstream key checking.
  * Update symbols.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 29 Jun 2020 13:11:33 +0200

pmdk (1.8-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 31 Jan 2020 18:49:43 +0100

pmdk (1.8~rc1-2) experimental; urgency=medium

  * Pick pre-release fixes.
  * Re-enable out_err_mt tests.

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 21 Jan 2020 17:17:23 +0100

pmdk (1.8~rc1-1) experimental; urgency=medium

  * New upstream pre-release.
  * Drop vmem and vmmalloc.
  * Enable ppc64el.
  * Enable KEEP_GOING to list all test failures.
  * Temporarily disable out_err_mt tests.
  * Patch away differences between 1.8-rc1 tarball and tag.
  * Update symbols.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 20 Jan 2020 12:41:24 +0100

pmdk (1.7-1) unstable; urgency=medium

  * Upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 30 Sep 2019 19:20:09 +0200

pmdk (1.7~rc2-1) experimental; urgency=medium

  * New upstream pre-release.
  * Enable python-based tests.
  * Update symbols.

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 26 Sep 2019 23:25:26 +0200

pmdk (1.7~rc1-1) experimental; urgency=medium

  * New upstream pre-release.
  * Drop redundant dirs from example paths.
  * Use upstream method to avoid building examples.
  * Multi-Arch settings.
  * Update symbols.

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 24 Sep 2019 02:05:38 +0200

pmdk (1.6.1-2) unstable; urgency=medium

  * Verify upstream GPG signatures.
  * Drop unused install files for libpmemobj-doc.
  * Add autopkgtests to compile examples against installed libraries.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 02 Sep 2019 20:41:03 +0200

pmdk (1.6.1-1) unstable; urgency=medium

  * New upstream release.
  * Make -dev packages of libraries with RAS features depend on relevant
    ndctl/daxctl-dev.

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 28 Aug 2019 02:41:52 +0200

pmdk (1.6.1~rc1-1) experimental; urgency=medium

  * New upstream pre-release.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 19 Aug 2019 17:15:43 +0200

pmdk (1.6-5) unstable; urgency=medium

  * B-Depend on ndctl with fixed fd leaks, don't ignore fails.
  * Drop a redundant failing autopkgtest.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 29 Jul 2019 03:14:34 +0200

pmdk (1.6-4) unstable; urgency=medium

  * Fix FTBFS with valgrind 3.15.
  * Fix a strict aliasing violation (caused crashes with some
    compiler:platform combinations).
  * Depend on valgrind that doesn't SIGILL on DC CVAC on arm64.
  * Unversion B-Dep on dh-exec.
  * Increase test timeout by 10×.
  * dh 12.
  * R³.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 22 Jul 2019 23:31:11 +0200

pmdk (1.6-3) unstable; urgency=medium

  * Disable obj_pool/TEST34 again -- times out on crap hardware.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 08 Jul 2019 15:28:07 +0200

pmdk (1.6-2) unstable; urgency=medium

  * Upload to unstable.
  * Merge in Ubuntu changes (dh_missing, Build-Depends-Package, docs).
  * Other minor docs improvements.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 08 Jul 2019 11:55:38 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libpmem1-debug`.
